GET /api/v1/usage

Authentication

Bearer Token API Key (cookie: better-auth.session_token)

Responses

200 Usage info
application/json
plan object REQUIRED
id string REQUIRED
name string REQUIRED
monthlyDemos number REQUIRED
maxDurationSec number REQUIRED
resolution string REQUIRED
watermark boolean REQUIRED
price number REQUIRED
usage object REQUIRED
demosThisMonth number REQUIRED
demosLimit number REQUIRED
demosRemaining number REQUIRED
creditBalance number REQUIRED
autoTopoff object REQUIRED
enabled boolean REQUIRED
packId string REQUIRED
Enum: 5, 20, 50, 100
creditPacks object[] REQUIRED
Array of:
id string REQUIRED
Enum: 5, 20, 50, 100
credits number REQUIRED
price number REQUIRED
perCredit number REQUIRED
savings number REQUIRED
label string REQUIRED
popular boolean
totalRemaining number REQUIRED
demoCount number REQUIRED
curl -X GET 'https://littledemo.com/api/v1/usage' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://littledemo.com/api/v1/usage', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://littledemo.com/api/v1/usage', headers=headers)print(response.json())
200 Response
{  "plan": {    "id": "<string>",    "name": "<string>",    "monthlyDemos": 123,    "maxDurationSec": 123,    "resolution": "<string>",    "watermark": true,    "price": 123  },  "usage": {    "demosThisMonth": 123,    "demosLimit": 123,    "demosRemaining": 123  },  "creditBalance": 123,  "autoTopoff": {    "enabled": true,    "packId": "5"  },  "creditPacks": [    {      "id": "5",      "credits": 123,      "price": 123,      "perCredit": 123,      "savings": 123,      "label": "<string>",      "popular": true    }  ],  "totalRemaining": 123,  "demoCount": 123}
Ask a question... ⌘I